Bug 1427090 (CVE-2017-2635)

Summary: CVE-2017-2635 libvirt: Null pointer dereference when updating storage size on empty drives
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agedosier, berrange, bmcclain, cfergeau, clalancette, dblechte, dkholia, eblake, eedri, erik-fedora, itamar, jdenemar, jsuchane, knoel, laine, libvirt-maint, lsurette, marcandre.lureau, mgoldboi, michal.skrivanek, pkrempa, psampaio, rbalakri, rh-spice-bugs, rjones, sbonazzo, sherold, sisharma, smohan, srevivo, ssaha, vbellur, veillard, virt-maint, ykaul, ylavi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: libvirt 3.1.0 Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer deference flaw was found in the way libvirt handled empty drives. A remote authenticated attacker could use this flaw to crash libvirtd daemon resulting in denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-29 10:37:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1420718    
Bug Blocks: 1427095    

Description Adam Mariš 2017-02-27 10:56:13 UTC
A NULL pointer dereference vulnerability was found in virStorageSourceUpdateBlockPhysicalSize when attempted to call on empty drives. Unprivileged local user can trigger this bug to crash libvirtd.

Upstream patch:

https://libvirt.org/git/?p=libvirt.git;a=commit;h=c3de387380f6057ee0e46cd9f2f0a092e8070875

Introduced by:

https://libvirt.org/git/?p=libvirt.git;a=commit;h=c5f6151390

Comment 3 Dhiru Kholia 2017-03-09 08:00:22 UTC
Acknowledgments:

Name: Yanqiu Zhang (Red Hat)

Comment 4 Carl Song 2017-04-07 20:48:07 UTC
Could you provide the rationale behind the verdict of "NOTABUG", given there's a CVE assigned and an upstream patch exists?

Comment 6 Dhiru Kholia 2017-04-10 05:29:39 UTC
Statement:

This issue does not affect libvirt as shipped with Red Hat Enterprise Linux 5, 6 and 7 as it does not contain the affected code.